#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <sys/types.h>


void main_loop(int out)
{
	for (;;) {
		usleep(1);
		if (out) {
			fprintf(stderr,"it's a stderr message!\n");
			fprintf(stdout,"it's a stdout message!\n");
		}
	}
}

int main (int argc, char *argv[])
{
	int ret = EXIT_SUCCESS;
    	pid_t pid;
	int out = 0;
	
	if (argc > 1)
		out = 1;
	
	switch (pid = fork()) {
	
		case 0:
			setsid();
			main_loop(out);
		case -1:
			fprintf(stderr,"cant fork, exit!\n");
			ret = EXIT_FAILURE;
		default:
			fprintf(stdout,"successfully forked!\n");
	}
	
	return ret;
	    
}
